Bug 1294858 - (kf5-libkface) Review Request: kf5-libkface - A face recognition and detection library
Review Request: kf5-libkface - A face recognition and detection library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pier Luigi Fiorini
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews digikam-5.0
  Show dependency treegraph
 
Reported: 2015-12-30 12:43 EST by Rex Dieter
Modified: 2016-02-21 11:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:29:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pierluigi.fiorini: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2015-12-30 12:43:51 EST
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-libkface.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/kf5-libkface-15.12.0-1.fc23.src.rpm
Description: A face recognition and detection library
Fedora Account System Username: rdieter
Comment 1 Upstream Release Monitoring 2015-12-30 12:55:37 EST
rdieter's scratch build of kf5-libkface-15.12.0-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12349633
Comment 2 Roman Tsisyk 2016-01-12 03:31:13 EST
How does it work in terms of the release management? Just curious.
----
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
----
Comment 3 Rex Dieter 2016-01-12 07:50:11 EST
For example, compare versions (the 3rd number component in particular) available from:
http://download.kde.org/stable/applications/
vs.
http://download.kde.org/unstable/applications/
Comment 4 Pier Luigi Fiorini 2016-01-16 06:48:18 EST
name: ok

source: ok
SHA1 2b19fa4fd87e4226c327c6e9c0362d8dc7903654 libkface-15.12.0.tar.xz

license: ok

post/postun ldconfig: ok

filelist:

1. AUTHORS, README and TODO are not %doc (it's #doc)
2. I have an observation regarding subdirs owned by this package, though a lot are done this way. I'm referring to %dir missing for %{_kf5_includedir}/KFace/ and %{_kf5_libdir}/cmake/KF5KFace/ from the devel package

Considering that 1 is not a blocker and 2 a lot of packages are done like this: APPROVED
Comment 5 Gwyn Ciesla 2016-02-08 09:40:58 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/kf5-libkface
Comment 6 Fedora Update System 2016-02-08 14:27:35 EST
kf5-libkface-15.12.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2b2d43a64
Comment 7 Fedora Update System 2016-02-09 17:26:55 EST
kf5-libkface-15.12.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2b2d43a64
Comment 8 Fedora Update System 2016-02-21 11:29:23 EST
kf5-libkface-15.12.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.